Qwt User's Guide: QwtPlainTextEngine Class Reference

Qwt User's Guide 6.1.2

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Typedefs Enumerations Enumerator Pages
Public Member Functions | List of all members
QwtPlainTextEngine Class Reference

A text engine for plain texts. More...

`#include <qwt_text_engine.h>`

Inheritance diagram for QwtPlainTextEngine:
[legend]

## Public Member Functions
| QwtPlainTextEngine ()
| Constructor.
virtual | ~QwtPlainTextEngine ()
| Destructor.
virtual double | heightForWidth (const QFont &font, int flags, const QString &text, double width) const
virtual QSizeF | textSize (const QFont &font, int flags, const QString &text) const
virtual void | draw (QPainter *painter, const QRectF &rect, int flags, const QString &text) const
| Draw the text in a clipping rectangle. More...
virtual bool | mightRender (const QString &) const
virtual void | textMargins (const QFont &, const QString &, double &left, double &right, double &top, double &bottom) const
Public Member Functions inherited from QwtTextEngine
virtual | ~QwtTextEngine ()
| Destructor.

## Additional Inherited Members
Protected Member Functions inherited from QwtTextEngine
| QwtTextEngine ()
| Constructor.

## Detailed Description

A text engine for plain texts.

QwtPlainTextEngine renders texts using the basic Qt classes QPainter and QFontMetrics.

## Member Function Documentation

void QwtPlainTextEngine::draw | ( | QPainter * | painter,
|  | const QRectF & | rect,
|  | int | flags,
|  | const QString & | text
| ) |  | const
| virtual

Draw the text in a clipping rectangle.

A wrapper for QPainter::drawText.

Parameters

  painter | Painter
  rect | Clipping rectangle
  flags | Bitwise OR of the flags used like in QPainter::drawText
  text | Text to be rendered

Implements QwtTextEngine.

double QwtPlainTextEngine::heightForWidth | ( | const QFont & | font,
|  | int | flags,
|  | const QString & | text,
|  | double | width
| ) |  | const
| virtual

Find the height for a given width

Parameters

  font | Font of the text
  flags | Bitwise OR of the flags used like in QPainter::drawText
  text | Text to be rendered
  width | Width

Returns
  Calculated height

Implements QwtTextEngine.

bool QwtPlainTextEngine::mightRender | ( | const QString & |  | ) | const
| virtual

Test if a string can be rendered by this text engine.

Returns
  Always true. All texts can be rendered by QwtPlainTextEngine

Implements QwtTextEngine.

void QwtPlainTextEngine::textMargins | ( | const QFont & | font,
|  | const QString & | ,
|  | double & | left,
|  | double & | right,
|  | double & | top,
|  | double & | bottom
| ) |  | const
| virtual

Return margins around the texts

Parameters

  font | Font of the text
  left | Return 0
  right | Return 0
  top | Return value for the top margin
  bottom | Return value for the bottom margin

Implements QwtTextEngine.

QSizeF QwtPlainTextEngine::textSize | ( | const QFont & | font,
|  | int | flags,
|  | const QString & | text
| ) |  | const
| virtual

Returns the size, that is needed to render text

Parameters

  font | Font of the text
  flags | Bitwise OR of the flags used like in QPainter::drawText
  text | Text to be rendered

Returns
  Caluclated size

Implements QwtTextEngine.